
#version 330

uniform sampler2D s_texture0;

in vec4 v_colour;
in vec2 v_texCoord;

out vec4 fragColor;

void main() {
    vec4 tex = v_colour * texture(s_texture0, v_texCoord);
    if (tex.a <= 0.0) {
        discard;
    }
    fragColor = tex;
}
